{
    "format_version": "1.17.0",
    "minecraft:item": {
        "description": {
            "category": "equipment",
            "identifier": "vl:is_electrogun"
        },
        "components": {
            "minecraft:throwable": {
            "do_swing_animation": true
            },
            "minecraft:use_duration": 1,
            "minecraft:max_stack_size": 1,
            "minecraft:display_name": {
                "value": "Electrogun"
            },
            "minecraft:icon": {
                "texture": "is_electrogun"
            },
            "minecraft:on_use": {
                "on_use": {
                    "event": "use",
                    "target": "self"
                }
            },
            "minecraft:cooldown": {
                "category": "cooldown",
                "duration": 1
            }
        },
        "events": {
            "use": {
                "shoot": {
                    "projectile": "vl:is_electric",
                    "launch_power": 1
                },
                "run_command": {
                    "command": [
                        "playsound is_electrogun_shot @p"
                    ]
                }
            }
        }
    }
}